import settings from './data/settings';

const Footer = () => {
  return (
      <div className={'footer'}>
        <div className={'footer-links'}>
          <div className={'footer-link-container'}>
            {
              settings.footerLinks.map((link, index) => {
                return (
                    <a className={'footer-link'} href={link.linkUrl} target="_blank" key={index}>{link.linkName}</a>
                );
              })
            }
          </div>
        </div>
        <div className={'credits-footer'}>
          <div className={'credits-footer-wrapper'}>
            <div className={'credits-footer-plugin-info-container'}>
              <img className={'credits-footer-plugin-logo'}
                   src={settings.pluginLogoUrl}/>
              <div
                  className={'credits-footer-plugin-name'}>{settings.pluginName}</div>
            </div>
              <a href="https://daext.com" target="_blank" className="credits-footer-company-logo">
                  <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg"
                       x="0px"
                       y="0px"
                       viewBox="0 0 20 20">
                      <g id="_x3C_Group_x3E__1_">
                          <polygon className="st0" points="10,12.5 7.5,10 12.5,10 	"/>
                          <polygon className="st1" points="10,7.5 12.5,10 7.5,10 	"/>
                          <polyline className="st0" points="15,10 10,15 5,10 0,10 10,20 20,10 	"/>
                          <polygon className="st1" points="10,5 10,0 20,10 15,10 	"/>
                      </g>
                  </svg>
              </a>
          </div>
        </div>
      </div>
  );
};

export default Footer;