const useState = wp.element.useState;
import Pagination from '../inc/pagination/Pagination';
const useMemo = wp.element.useMemo;
const { __ } = wp.i18n;

let PageSize = 10;

const Chart = (props) => {

    //Pagination - START --------------------------------------------------------

    const [currentPage, setCurrentPage] = useState(1);

    const currentTableData = useMemo(() => {
        const firstPageIndex = (currentPage - 1) * PageSize;
        const lastPageIndex = firstPageIndex + PageSize;
        return props.data.slice(firstPageIndex, lastPageIndex);
    }, [currentPage, props.data]);

    //Pagination - END ----------------------------------------------------------

  return (

      <div className="daextrevop-requests-table">

          <div className="daextrevop-section-header">
              Requests Data
          </div>

          <div className="daextrevop-section-body">

              <table className="daextrevop-requests-data-table daext-items">
                  <thead>
                  <tr>
                      <th>{__('ID', 'real-voice-pro')}</th>
                      <th>{__('Converter', 'real-voice-pro')}</th>
                      <th>{__('Characters', 'real-voice-pro')}</th>
                      <th>{__('Date', 'real-voice-pro')}</th>
                      <th>{__('Status', 'real-voice-pro')}</th>
                  </tr>
                  </thead>
                  <tbody>

                  {currentTableData.map((row) => (
                      <tr key={row.request_id}>
                          <td>{row.request_id}</td>
                          <td>{row.converter}</td>
                          <td>{row.characters}</td>
                          <td>{row.request_date}</td>
                          <td>{parseInt(row.error, 10) === 1 ? __('Error', 'real-voice-pro') + ': ' + row.error_message : __('Success', 'real-voice-pro')}</td>
                      </tr>
                  ))}

                  </tbody>
              </table>

              <div className="daextrevop-pagination-container">
                  <div className='daext-displaying-num'>{props.data.length + ' items'}</div>
                  <Pagination
                      className="pagination-bar"
                      currentPage={currentPage}
                      totalCount={props.data.length}
                      pageSize={PageSize}
                      onPageChange={page => setCurrentPage(page)}
                  />
              </div>

          </div>

      </div>

  );

};

export default Chart;
